Download it now!
Bug 72226 - FILESAVE: Stock Chart : File does not get opened on MS office 2010 after saved
Summary: FILESAVE: Stock Chart : File does not get opened on MS office 2010 after saved
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium major
Assignee: pallavi.jadhav
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-02 14:03 UTC by pallavi.jadhav
Modified: 2013-12-30 11:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Stock Chart of type "Volume Open High Low Close" (19.43 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-12-02 14:03 UTC, pallavi.jadhav
Details
Comparison in Word, original left; after roundtrip right (95.97 KB, image/png)
2013-12-29 21:41 UTC, Jorendc
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pallavi.jadhav 2013-12-02 14:03:53 UTC
Created attachment 90106 [details]
Stock Chart of type "Volume Open High Low Close"

Steps to reproduce :
1] Open attached .docx document
2] Do save_as
3] Open saved file MS office
4] File does not get open

Expected behavior :
File should get opened.

Current behavior :
Pops up a dialog box showing "File cannot be opened because there are problems with the contents"
Comment 1 pallavi.jadhav 2013-12-03 14:20:33 UTC
Problem area :

In chart1.xml under,
<c:chart>
 <c:plotArea>
  <c:stockChart>
there are four types of series as Open,Low,High and Close.

For Open series,
<c:ser>
 <c:idx val="0" />
 <c:order val="0" />
an attribute val should start from 1 and not from 0.

If val changed to either 4 or 1(do appropriate changes for idx of Low,High,Close)
then file opens in MSoffice 2010 without error.
Comment 2 Jorendc 2013-12-06 17:03:15 UTC
I can reproduce this behavior, tested using Mac OSX 10.9 with LibreOffice Version: 4.2.0.0.beta2 Build ID: 1a27be92e320f97c20d581a69ef1c8b99ea9885d
Opened the file using Word for Mac 2011.

Kind regards,
Joren
Comment 3 Commit Notification 2013-12-11 17:13:08 UTC
Pallavi Jadhav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e516f8be79ddc9d845d8141075f7d558c25c1636

fdo#72226: Fix for Stock chart Invalid RT



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 surbhi.tongia 2013-12-18 08:42:18 UTC
Verified on Build : libo-master~2013-12-18_05.10.32_LibreOfficeDev_4.3.0.0.alpha0_Win_x8.
File is exported properly after RT.
Comment 5 Jorendc 2013-12-29 21:38:34 UTC
(In reply to comment #4)
> Verified on Build :
> libo-master~2013-12-18_05.10.32_LibreOfficeDev_4.3.0.0.alpha0_Win_x8.
> File is exported properly after RT.

I can confirm that the file is opened after roundtriping in LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 5be7ec4193b892e5643ff5f3f2e6755319569190
TinderBox: Win-x86@39, Branch:master, Time: 2013-12-27_23:55:02
Opened using MS Word 2010.

I do see some differences when opening original chart and roundtripped one.

Not sure it's already reported somewhere? (I see good work from synerzip passing by :-) ), so not sure what's already reported, what not with your available test documents.

Kind regards,
Joren
Comment 6 Jorendc 2013-12-29 21:41:56 UTC
Created attachment 91303 [details]
Comparison in Word, original left; after roundtrip right

- No border anymore
- Double x-axis
- Extra lines in the chart which were not visible before

Thanks for your great job :).
Comment 7 pallavi.jadhav 2013-12-30 05:53:34 UTC
Hi Joren,

Yes there are visual discrepancy issues that you mentioned.
It occurs while "opening" the Word document in Libreoffice. So I guess there is some code at import side ,responsible for such behavior.
I fixed it for corruption only. As you must have observed, it was previously opening as corrupt document in MS Office but after this fix, it opens up without corruption.
Comment 8 Jorendc 2013-12-30 11:09:35 UTC
(In reply to comment #7)
> Yes there are visual discrepancy issues that you mentioned.
> It occurs while "opening" the Word document in Libreoffice. So I guess there
> is some code at import side ,responsible for such behavior.
Indeed :). Lets create other bug reports for each problem separately.

> I fixed it for corruption only. As you must have observed, it was previously
> opening as corrupt document in MS Office but after this fix, it opens up
> without corruption.

Correct, so this bug is RESOLVED FIXED and VERIFIED in comment 4 and by me.
Lets mark it as such.

Thanks for fixing :)!
Joren